com.verisign.epp.codec.registry

## Class EPPRegistryRedemptionPeriodType

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryPeriodType
  - - com.verisign.epp.codec.registry.EPPRegistryRedemptionPeriodType

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryRedemptionPeriodType
      extends EPPRegistryPeriodType

  Defines the length of time that a domain object will remain in the redemptionPeriod status unless the restore request command is received.
  Version:
    1.4
  Author:
    ljia
  See Also:
    `EPPRegistryRGP`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryRedemptionPeriodType` root element.

    - ### Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType

      `number, PERIOD_UNIT_DAY, PERIOD_UNIT_HOUR, PERIOD_UNIT_MONTH, PERIOD_UNIT_YEAR, rootName, unit, VALID_UNITS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryRedemptionPeriodType()` Default constructor.
    `EPPRegistryRedemptionPeriodType(java.lang.Integer number, java.lang.String unit)` Constructs an instance of `EPPRegistryRedemptionPeriodType` with `number` and `unit`.
    `EPPRegistryRedemptionPeriodType(int number, java.lang.String unit)` Constructs an instance of `EPPRegistryRedemptionPeriodType` with `number` and `unit`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object aObject)`
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType

      `clone, decode, encode, getNumber, getRootName, getUnit, setNumber, setUnit, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML Element Name of `EPPRegistryRedemptionPeriodType` root element.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryRedemptionPeriodType

          public EPPRegistryRedemptionPeriodType()

      Default constructor. Must call `EPPRegistryPeriodType.setNumber(Integer)` and `EPPRegistryPeriodType.setUnit(String)` before calling `EPPRegistryPeriodType.encode(org.w3c.dom.Document)` method.

    - #### EPPRegistryRedemptionPeriodType

          public EPPRegistryRedemptionPeriodType(java.lang.Integer number,
                                                 java.lang.String unit)

      Constructs an instance of `EPPRegistryRedemptionPeriodType` with `number` and `unit`.
      Parameters:
        `number` - number must be > 0
        `unit` - unit must be one of "y", "m", "d", or "h"

    - #### EPPRegistryRedemptionPeriodType

          public EPPRegistryRedemptionPeriodType(int number,
                                                 java.lang.String unit)

      Constructs an instance of `EPPRegistryRedemptionPeriodType` with `number` and `unit`.
      Parameters:
        `number` - number must be > 0
        `unit` - unit must be one of "y", "m", "d", or "h"

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Overrides:
        `equals` in class `EPPRegistryPeriodType`

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.